com.hazelcast.jet.config

## Class JetClientConfig

- java.lang.Object
- - com.hazelcast.client.config.ClientConfig
  - - com.hazelcast.jet.config.JetClientConfig

-     public class JetClientConfig
      extends ClientConfig

  A config object which is used for configuring the Jet client to connect to the Jet cluster.

  See `ClientConfig` for actual config options.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JetClientConfig()` Creates a new config instance with default group name and password for Jet

  - ### Method Summary

    - ### Methods inherited from class com.hazelcast.client.config.ClientConfig

      `addAddress, addFlakeIdGeneratorConfig, addListenerConfig, addNearCacheConfig, addNearCacheConfig, addProxyFactoryConfig, addQueryCacheConfig, addReliableTopicConfig, findFlakeIdGeneratorConfig, getAddresses, getClassLoader, getConfigPatternMatcher, getConnectionAttemptLimit, getConnectionAttemptPeriod, getConnectionStrategyConfig, getConnectionTimeout, getCredentials, getExecutorPoolSize, getFlakeIdGeneratorConfig, getFlakeIdGeneratorConfigMap, getGroupConfig, getInstanceName, getLicenseKey, getListenerConfigs, getLoadBalancer, getManagedContext, getNativeMemoryConfig, getNearCacheConfig, getNearCacheConfigMap, getNetworkConfig, getOrCreateQueryCacheConfig, getOrNullQueryCacheConfig, getProperties, getProperty, getProxyFactoryConfigs, getQueryCacheConfigs, getReliableTopicConfig, getSecurityConfig, getSerializationConfig, getSocketInterceptorConfig, getSocketOptions, getUserCodeDeploymentConfig, isRedoOperation, isSmartRouting, setAddresses, setClassLoader, setConfigPatternMatcher, setConnectionAttemptLimit, setConnectionAttemptPeriod, setConnectionStrategyConfig, setConnectionTimeout, setCredentials, setExecutorPoolSize, setFlakeIdGeneratorConfigMap, setGroupConfig, setInstanceName, setLicenseKey, setListenerConfigs, setLoadBalancer, setManagedContext, setNativeMemoryConfig, setNearCacheConfigMap, setNetworkConfig, setProperties, setProperty, setProxyFactoryConfigs, setQueryCacheConfigs, setRedoOperation, setSecurityConfig, setSerializationConfig, setSmartRouting, setSocketInterceptorConfig, setSocketOptions, setUserCodeDeploymentConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JetClientConfig

          public JetClientConfig()

      Creates a new config instance with default group name and password for Jet

Copyright © 2018. All rights reserved.